import { Map, OrderedSet } from "immutable";
import { Type, PrimitiveType, EnumType, MapType, ArrayType, ClassType, UnionType } from "./Type";
import { PrimitiveTypeKind } from "./Reykjavik"
export declare class TypeBuilder {
    private _primitiveTypes;
    private _mapTypes;
    private _arrayTypes;
    private _enumTypes;
    private _classTypes;
    private _unionTypes;
    getPrimitiveType: (kind: PrimitiveTypeKind) => PrimitiveType;
    getEnumType: (name: string, cases: OrderedSet<string>) => EnumType;
    getMapType: (values: Type) => MapType;
    getArrayType: (items: Type) => ArrayType;
    getClassType: (name: string, properties: Map<string, Type>) => ClassType;
    getUnionType: (name: string, members: OrderedSet<Type>) => UnionType;
}
